Skip to main content
GET
/
connectors
/
{connectorId}
/
credentials
Get Connector Credentials
curl --request GET \
  --url https://production.runalloy.com/connectors/{connectorId}/credentials \
  --header 'Authorization: Bearer <token>' \
  --header 'x-api-version: <x-api-version>'
import requests

url = "https://production.runalloy.com/connectors/{connectorId}/credentials"

headers = {
"x-api-version": "<x-api-version>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'x-api-version': '<x-api-version>', Authorization: 'Bearer <token>'}
};

fetch('https://production.runalloy.com/connectors/{connectorId}/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "credentials": [
    {
      "credentialId": "68f8a98a48af02e752bf8e1b",
      "name": "Slack User's Slack Credential",
      "connectorId": "slack",
      "authenticationType": "oauth2",
      "createdAt": "2025-10-22T09:53:14.374Z",
      "updatedAt": "2025-10-22T09:53:14.382Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-api-version
string
default:2025-09
required

API version

x-alloy-userid
string

The ID of the user you're getting credentials for; If not provided, the request will be made as the API Key user

Path Parameters

connectorId
string
required

Connector ID

Response

200 - application/json

List of credentials

credentials
object[]